Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profilesj2me
Class J2MEBasicService

    java.lang.Object
      |
      +--profilesj2me.J2MEBasicService

All Implemented Interfaces:
  profiles.BasicService

public final class J2MEBasicService
extends java.lang.Object
implements profiles.BasicService

Il fulcro dell'applicazione per J2ME. Implementa i servizi di base, basandosi su JSR-82. Tutti i dattagli della comunicazione bluetooth sono nascosti. Questo è un'oggetto attivo.

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`(package private) J2MEBasicServiceServer` | `connectionServer`
`(package private) J2MEBasicServiceDiscoverer` | `discoverer`
`(package private) javax.bluetooth.DiscoveryAgent` | `discoveryAgent`
`(package private) javax.bluetooth.LocalDevice` | `localDevice`
`static javax.bluetooth.UUID` | `SERVICE_UUID` UUID del servizio Profiles.

Constructor Summary
`J2MEBasicService()` Crea un nuovo oggetto.

Method Summary
`void` | `deliverMessage(profiles.Message message)` Invia un messaggio.
`void` | `destroy()` Libera le risorse e ferma i thread interni.
`profiles.Device` | `getDevice(java.lang.String string)` Restituisce un dispositivo se questo è disponibile.
`java.util.Vector` | `getDevicesInRange(profiles.Device device)` Ottiene la lista delle periferiche con questo servizio attivo nei paraggi.
`void` | `registerListnerDevice(profiles.Device device)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_UUID

    public static final javax.bluetooth.UUID SERVICE_UUID

  UUID del servizio Profiles. E' chiaramente univoco ed identifica questa classe di applicazioni via bluetooth.

### localDevice

    javax.bluetooth.LocalDevice localDevice

### discoveryAgent

    javax.bluetooth.DiscoveryAgent discoveryAgent

### connectionServer

    J2MEBasicServiceServer connectionServer

### discoverer

    J2MEBasicServiceDiscoverer discoverer

Constructor Detail

### J2MEBasicService

    public J2MEBasicService()
                     throws javax.bluetooth.BluetoothStateException,
                            java.io.IOException

  Crea un nuovo oggetto. Automaticamente partono i servizi di ricezione e di discovery di periferiche nelle vicinanze.

Throws:
  `javax.bluetooth.BluetoothStateException`
  `java.io.IOException`

Method Detail

### destroy

    public void destroy()

  Libera le risorse e ferma i thread interni. Da prima di terminare.

### getDevicesInRange

    public java.util.Vector getDevicesInRange(profiles.Device device)

  Ottiene la lista delle periferiche con questo servizio attivo nei paraggi.

  Specified by:
    `getDevicesInRange` in interface `profiles.BasicService`
  Parameters:
    `device` - può essere null. Parametro non utilizzato.
  Returns:
    un Vector di risultati, con dimensione 0 se non è stato trovato nulla.

### getDevice

    public profiles.Device getDevice(java.lang.String string)

  Restituisce un dispositivo se questo è disponibile.

  Specified by:
    `getDevice` in interface `profiles.BasicService`
  Parameters:
    `string` - l'identificativo del dispositivo.
  Returns:
    il dispositivo se è stato trovato, null altrimenti.

### registerListnerDevice

    public void registerListnerDevice(profiles.Device device)

  Specified by:
    `registerListnerDevice` in interface `profiles.BasicService`

### deliverMessage

    public void deliverMessage(profiles.Message message)

  Invia un messaggio.

  Specified by:
    `deliverMessage` in interface `profiles.BasicService`
  Parameters:
    `message` - il messaggio

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD